package com.juxin.client.websocket.ppojo;

import lombok.Data;

/**
 * 银行卡数据回捞 主体信息  主体
 */
@Data
public class BankCardSubjectResult {

    private Long id;

    /**
     * appId主键
     */
    private String applicationid;

    /**
     * 主体反馈结果
     */

//    private String searchResult;

    /**
     * 查询反馈说明
     */
//    private String feedbackremark;
    /**
     * 反馈机构名称
     */
    private String feedbackorgname;

    /**
     * 主账户名称
     */
    private String accountsubjectname;
    /**
     * 主账户
     */
    private String cardnumber;
    /**
     * 账户状态
     */
//    private String accountstatus;
    /**
     * 开户网点
     */
    private String depositbankbranch;
    /**
     * 开户网点代码
     */
    private String depositbankbranchcode;
    /**
     * 开户网点所属行政区划代码
     */
    private String depositbankadminiscode;
    /**
     * 开户日期
     */
    private String accountopentime;
    /**
     * 销户日期
     */
    private String accountcancellationtime;
    /**
     * 销户网点
     */
    private String accountcancellationbranch;
    /**
     * 证照类型
     */
//    private String accountcredentialtype;

    /**
     * 证照号码
     */
    private String accountcredentialnumber;

    /**
     * 查询主体名称
     */
    private String accountsubjectname2;
    /**
     * 联系手机
     */
    private String telnumber;

    /**
     * 住宅地址
     */
//    private String residentaddress;

    /**
     * 住宅电话
     */
//    private String residenttelnumber;

    /**
     * 工作单位
     */
    private String workcompanyname;

    /**
     * 单位地址
     */
    private String workaddress;

    /**
     * 单位电话
     */
    private String worktelnumber;


    private String subjectCreateFlag;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 修改时间
     */
    private String updateTime;

//    private String applicationid = "A1002231218722836FZ2505150626060";
    private String searchResult = "0000";
    private String feedbackremark = "成功";
//    private String feedbackorgname = "中国工商银行";
    private String accountcredentialtype = "01";
//    private String accountcredentialnumber = "622429199804150075";
//    private String accountsubjectname = "张宁";
//    private String telnumber =  "8618720210711";
//    private String cardnumber = "6252470090818078";
    private String residentaddress = "-";
    private String residenttelnumber = "-";
//    private String workcompanyname = "岷县电子商务中心";
//    private String workaddress = "中国甘肃定西岷县岷县电子商务中心";
//    private String worktelnumber = "09327723588";
//    private String depositbankbranch = "工行甘肃省定西中华路支行";
//    private String depositbankbranchcode = "0270700752(行内)";
//    private String depositbankadminiscode = "621102";
//    private String accountopentime = "20180427000000";
//    private String accountcancellationtime = "99991231000000";
//    private String accountcancellationbranch = "00752";
    private String accountstatus = "正常";

}
